Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.traceColoring
Class TraceColoringFilter<V extends AbstractVertex<V,E,TraceInformation>,E extends AbstractEdge<V,E,TraceInformation>>

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFilter<AbstractGraph<V,E,TraceInformation>,V,E,TraceInformation>
                      kieker.tools.traceAnalysis.filter.visualization.traceColoring.TraceColoringFilter<V,E>

Type Parameters:
  `V` - The type of the graph's vertices
  `E` - The type of the graph's edges

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin, IGraphOutputtingFilter<AbstractGraph<V,E,TraceInformation>>, AbstractGraph.IGraphVisitor<V,E>

    public class TraceColoringFilter<V extends AbstractVertex<V,E,TraceInformation>,E extends AbstractEdge<V,E,TraceInformation>>

extends AbstractGraphFilter<AbstractGraph<V,E,TraceInformation>,V,E,TraceInformation>
implements AbstractGraph.IGraphVisitor<V,E>

This filter sets the color of nodes and edges which belong to a single trace according to a trace coloring schema defined in a color repository (see `TraceColorRepository`). Element that belong to multiple traces get the collision color defined in the repository.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `COLOR_REPOSITORY_PORT_NAME` Port name at which the color repository must be connected.

Fields inherited from class kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFilter
`INPUT_PORT_NAME_GRAPH`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Fields inherited from interface kieker.tools.traceAnalysis.filter.IGraphOutputtingFilter
`OUTPUT_PORT_NAME_GRAPH`

Constructor Summary
`TraceColoringFilter(Configuration configuration, IProjectContext projectContext)` Creates a new filter using the given configuration.

Method Summary
`void` | `visitEdge(E edge)` Call-back operation that is invoked when an edge is encountered during graph traversal.
`void` | `visitVertex(V vertex)` Call-back operation that is invoked when a vertex is encountered during graph traversal.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFilter
`getCurrentConfiguration, getGraphInputPortName, getGraphOutputPortName, init, processGraph`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### COLOR_REPOSITORY_PORT_NAME

    public static final String COLOR_REPOSITORY_PORT_NAME

  Port name at which the color repository must be connected.

  See Also:
    Constant Field Values

Constructor Detail

### TraceColoringFilter

    public TraceColoringFilter(Configuration configuration,
                               IProjectContext projectContext)

  Creates a new filter using the given configuration.

  Parameters:
    `configuration` - The configuration to use for this filter.
    `projectContext` - The project context to use for this filter.

Method Detail

### visitVertex

    public void visitVertex(V vertex)

  Call-back operation that is invoked when a vertex is encountered during graph traversal.

  Specified by:
    `visitVertex` in interface `AbstractGraph.IGraphVisitor<V extends AbstractVertex<V,E,TraceInformation>,E extends AbstractEdge<V,E,TraceInformation>>`
  Parameters:
    `vertex` - The encountered vertex

### visitEdge

    public void visitEdge(E edge)

  Call-back operation that is invoked when an edge is encountered during graph traversal.

  Specified by:
    `visitEdge` in interface `AbstractGraph.IGraphVisitor<V extends AbstractVertex<V,E,TraceInformation>,E extends AbstractEdge<V,E,TraceInformation>>`
  Parameters:
    `edge` - The encountered edge

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net